summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authorLennart Poettering <lennart@poettering.net>2017-12-20 12:51:14 +0100
committerSven Eden <yamakuzure@gmx.net>2018-05-30 07:50:01 +0200
commit8d30fe45682bcbe4f9d1e739606e7a1a4692aad0 (patch)
tree69233324f4e0922b18a8a144e2a2f96007f4ddac /tools
parent423ab1579fcfc0d9616432da5cc59cc4e36c9c5e (diff)
meson: resurrect API documentation target
We had this functionality back in Automake times, let's resurrect it.
Diffstat (limited to 'tools')
-rw-r--r--tools/meson-check-api-docs.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/tools/meson-check-api-docs.sh b/tools/meson-check-api-docs.sh
new file mode 100644
index 000000000..5bc808c1e
--- /dev/null
+++ b/tools/meson-check-api-docs.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+set -eu
+
+for symbol in `nm -g --defined-only "$@" | grep " T " | cut -d" " -f3 | sort -u` ; do
+ if test -f ${MESON_BUILD_ROOT}/man/$symbol.3 ; then
+ echo "✓ Symbol $symbol() is documented."
+ else
+ printf " \x1b[1;31mSymbol $symbol() lacks documentation.\x1b[0m\n"
+ fi
+done